Bug 240472 - policy doesn't allow a Kerberos KDC to contact a directory server using LDAP
Summary: policy doesn't allow a Kerberos KDC to contact a directory server using LDAP
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-17 18:59 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:14:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch to allow the kdc and kadmind to use directory services (712 bytes, patch)
2007-05-17 18:59 UTC, Nalin Dahyabhai
no flags Details | Diff

Description Nalin Dahyabhai 2007-05-17 18:59:24 UTC
Description of problem:
If I'm using the LDAP kdb plugin, the KDC and kadmind can't contact a directory
server.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.6.1-1.fc7

How reproducible:
Always

Additional information:
type=AVC msg=audit(1179427503.809:808): avc:  denied  { name_connect } for 
pid=26771 comm="krb5kdc" dest=389 scontext=user_u:system_r:krb5kdc_t:s0
tcontext=system_u:object_r:ldap_port_t:s0 tclass=tcp_socket

Comment 1 Nalin Dahyabhai 2007-05-17 18:59:24 UTC
Created attachment 154949 [details]
suggested patch to allow the kdc and kadmind to use directory services

Comment 2 Daniel Walsh 2007-07-16 20:33:26 UTC
Fixed for a long time. selinux-policy-2.6.4-26

Comment 3 Daniel Walsh 2007-08-22 14:14:54 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.